package com.yovinchen.xlcs.mq.constant;

/**
 * ClassName: MqConst
 * Package: com.yovinchen.xlcs.mq.constant
 *
 * @author yovinchen
 * @since 2023/9/16 23:34
 */
public class MqConst {
    /**
     * 消息补偿
     */
    public static final String MQ_KEY_PREFIX = "xlcs.mq:list";
    public static final int RETRY_COUNT = 3;

    /**
     * 商品上下架
     */
    public static final String EXCHANGE_GOODS_DIRECT = "xlcs.goods.direct";
    public static final String ROUTING_GOODS_UPPER = "xlcs.goods.upper";
    public static final String ROUTING_GOODS_LOWER = "xlcs.goods.lower";
    //队列
    public static final String QUEUE_GOODS_UPPER = "xlcs.goods.upper";
    public static final String QUEUE_GOODS_LOWER = "xlcs.goods.lower";

    /**
     * 配送员上下线
     */
    public static final String EXCHANGE_LEADER_DIRECT = "xlcs.leader.direct";
    public static final String ROUTING_LEADER_UPPER = "xlcs.leader.upper";
    public static final String ROUTING_LEADER_LOWER = "xlcs.leader.lower";
    //队列
    public static final String QUEUE_LEADER_UPPER = "xlcs.leader.upper";
    public static final String QUEUE_LEADER_LOWER = "xlcs.leader.lower";

    //订单
    public static final String EXCHANGE_ORDER_DIRECT = "xlcs.order.direct";
    public static final String ROUTING_ROLLBACK_STOCK = "xlcs.rollback.stock";
    public static final String ROUTING_MINUS_STOCK = "xlcs.minus.stock";

    public static final String ROUTING_DELETE_CART = "xlcs.delete.cart";
    //解锁普通商品库存
    public static final String QUEUE_ROLLBACK_STOCK = "xlcs.rollback.stock";
    public static final String QUEUE_SECKILL_ROLLBACK_STOCK = "xlcs.seckill.rollback.stock";
    public static final String QUEUE_MINUS_STOCK = "xlcs.minus.stock";
    public static final String QUEUE_DELETE_CART = "xlcs.delete.cart";

    //支付
    public static final String EXCHANGE_PAY_DIRECT = "xlcs.pay.direct";
    public static final String ROUTING_PAY_SUCCESS = "xlcs.pay.success";
    public static final String QUEUE_ORDER_PAY = "xlcs.order.pay";
    public static final String QUEUE_LEADER_BILL = "xlcs.leader.bill";

    //取消订单
    public static final String EXCHANGE_CANCEL_ORDER_DIRECT = "xlcs.cancel.order.direct";
    public static final String ROUTING_CANCEL_ORDER = "xlcs.cancel.order";
    //延迟取消订单队列
    public static final String QUEUE_CANCEL_ORDER = "xlcs.cancel.order";

    /**
     * 定时任务
     */
    public static final String EXCHANGE_DIRECT_TASK = "xlcs.exchange.direct.task";
    public static final String ROUTING_TASK_23 = "xlcs.task.23";
    //队列
    public static final String QUEUE_TASK_23 = "xlcs.queue.task.23";
}
