package com.yovinchen.xlcs.model.product;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 三级分类表
 * </p>
 *
 * @author yovinchen
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseCategoryTrademark implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 三级级分类id
     */
    private Long category3Id;

    /**
     * 品牌id
     */
    private Long trademarkId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer isDeleted;


}
