package com.yovinchen.xlcs.payment.utils;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * ClassName: ConstantPropertiesUtils
 * Package: com.yovinchen.xlcs.payment.payment.utils
 *
 * @author yovinchen
 * @since 2023/10/13 10:48
 */
@Component
public class ConstantPropertiesUtils implements InitializingBean {

    public static String APPID;
    public static String PARTNER;
    public static String PARTNERKEY;
    public static String NOTIFYURL;
    public static String CERT;
    @Value("${weixin.appid}")
    private String appid;
    @Value("${weixin.partner}")
    private String partner;
    @Value("${weixin.partnerkey}")
    private String partnerkey;
    @Value("${weixin.notifyurl}")
    private String notifyurl;
    @Value("${weixin.cert}")
    private String cert;

    @Override
    public void afterPropertiesSet() throws Exception {
        APPID = appid;
        PARTNER = partner;
        PARTNERKEY = partnerkey;
        NOTIFYURL = notifyurl;
        CERT = cert;
    }
}

